Subject: bug#60463: closed (Re: bug#60463: 29.0.60; c-ts-mode: M-x align doesn't work)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 08 Jan 2023 00:57:03 +0000

Your bug report

#60463: 29.0.60; c-ts-mode: M-x align doesn't work

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60463: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60463
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60463: 29.0.60; c-ts-mode: M-x align doesn't work
From: Yuan Fu <[email-masked]>
To: Mohammed Sadiq <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 7 Jan 2023 16:55:59 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Mohammed Sadiq <[email-masked]> writes:

>>> Modifying align-c++-modes to include c-ts-mode should be enough to
>>> fix
>>> this.
>> Could you go me a favor and look up where is align-c++-modes
>> defined? Or
>> just paste the value of it, if it is programmatically defined. Thanks
>> :-)
>
>
> It's defined in lisp/align.el
>
> Hint: You can do: git grep "align-c++-modes"
>
> There might be other files too where adding c-ts-mode might be helpful.
> A rough match would be something like 'git grep "[( ]c-mode[) ]"' (the
> noise is too high, but files like lisp/progmodes/gud.el looks like a
> positive candidate)

Thanks, no wonder why I can’t find it in cc-xxx.el files :-)

I added ts- modes to both align and gud.

Yuan

Subject: 29.0.60; c-ts-mode: M-x align doesn't work
From: Mohammed Sadiq <[email-masked]>
To: [email-masked]
Date: Sun, 01 Jan 2023 15:50:48 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

M-x align doesn't align function arguments or struct members, which
works fine in c-mode.

Say for example, if I mark the region around '(' and ')' and do M-x
align for the following code:

int
main (int argc,
       char *argv[])
{
}

I should get the following (see the change of spacing between 'int' and 
'argc'):

int
main (int   argc,
       char *argv[])
{
}

Modifying align-c++-modes to include c-ts-mode should be enough to fix 
this.